#!/usr/bin/perl
# 
# areasbbs2jamnntpd.pl version 1.0 by Johan Billing
# This program has been released into the public domain, use it any way you want.
#

if ( $#ARGV != 3) {
   print "Usage: areasbbs2jamnntpd.pl <areas.bbs> <jamnntpd.groups> <group> <aka>\n";
   exit 0;
}

$areasbbs = $ARGV[0];
$groupsfile = $ARGV[1];
$group = $ARGV[2];
$aka = $ARGV[3];

# Read config file

open (AREASBBS, $areasbbs) or die "Cannot open $areasbbs";
open (GROUPSFILE, ">$groupsfile") or die "Cannot write to $groupsfile";

print GROUPSFILE "# Created from $areasbbs by areasbbs2jamnntpd.pl\n";
print GROUPSFILE "#\n";
print GROUPSFILE "# Some tweaking may be required.\n";
print GROUPSFILE "\n";

while (<AREASBBS>) {
   s/\s+$//; # strip trailing whitespace

   if ( ! /^;/ and ! / ! / ) {
      @words = split('\s+',$_);

      if ( $#words >= 1 ) {
         if ( $words[0] =~ /^!/ ) {
            printf GROUPSFILE ("%-30s %-3s %-15s %s\n",$words[1],$group,$aka,substr($words[0],1));
         }
         else {
            print "Warning: Area $words[1] is not a JAM area, skipping...\n";
         }
      }
   }
}

close (AREASBBS);
close (GROUPSFILE);


